# tcl3270 Additional Build and Install Instructions

This file describes build and install information specific to tcl3270. For general build information, look here.

## Notes for Ubuntu

Additional packages needed to compile tcl3270 are:

- tcl-dev

## Notes on the Tcl Library

tcl3270 uses the tclsh command to determine the version of the Tcl library to use. When you run the `configure` script, make sure that your `$PATH` points to the version of tclsh that corresponds to the version of the Tcl library you want tcl3270 to use.

## tcl3270-specific `configure` Options

The tcl3270 `configure` script accepts the following tcl3270-specific options:

`--with-tcl=version` | Use a specific version of the Tcl library. The default is `8.4`.
`--with-tclx` `--with-tclx=version` | Use the Extended Tcl library. The TclX library must be the same version as the Tcl library. If an explicit version is specified, this changes the Tcl library version as well.